<template>
  <v-app>
    <v-app-bar app color="primary" class="goldText--text" dark>
      <v-app-bar-nav-icon @click.stop="drawer = !drawer"></v-app-bar-nav-icon>
      <div class="d-flex align-center">
        <v-img
          alt="SchoolApp Logo"
          class="shrink mr-2"
          contain
          src="./assets/schoolapplogoDarkBackground.png"
          transition="scale-transition"
          width="40"
        />
        <div>
          <h4 class="d-none d-sm-flex">School App</h4>
        </div>
      </div>
      <v-spacer></v-spacer>
    </v-app-bar>

    <v-navigation-drawer v-model="drawer" temporary app dark color="primary">
      <v-list>
        <v-list-item
          class="goldText--text"
          v-for="item in items"
          :key="item.title"
          :to="item.route"
          :disabled="item.disabled"
        >
          <v-list-item-icon>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
            <v-list-item-subtitle>{{ item.subtitle }}</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-main>
      <router-view></router-view>
    </v-main>
    <my-footer />
  </v-app>
</template>

<script>
import MyFooter from "./components/MyFooter.vue";

export default {
  components: { MyFooter},
  data() {
    return {
      myCallbacks: {
        onPreviousStep: this.myCustomPreviousStepCallback,
        onNextStep: this.myCustomNextStepCallback,
      },
      myOptions: {
        useKeyboardNavigation: true,
        labels: {
          buttonSkip: "Skip tour",
          buttonPrevious: "Previous",
          buttonNext: "Next",
          buttonStop: "Finish",
        },
      },
      steps: [
        {
          target: ".mdi-menu",
          header: {
            title: "Get Started",
          },
          content: `This is the navigation window`,
          params: {
            highlight: true,
          },
        },
        {
          target: "#add-bank",
          content: "You can link a bank account here",
          params: {
            highlight: true,
          },
        },
        {
          target: "#logout",
          content: "This is where to logout",
          params: {
            highlight: true,
            placement: "top", // Any valid Popper.js placement. See https://popper.js.org/popper-documentation.html#Popper.placements
          },
        },
      ],
      items: [
        { title: "Home", icon: "mdi-home", route: "/", plan: "free" },
        {
          title: "Courses",
          icon: "mdi-bookshelf",
          route: "/courses",
          plan: "free",
        },
        {
          title: "About",
          icon: "mdi-information",
          route: "/about",
          plan: "free",
        },
        {
          title: "Admin",
          icon: "mdi-cog",
          route: "/admin",
          plan: "free",
        },
      ],
      right: null,
      drawer: false,
      group: null,
    };
  },
  computed: {
    isIdle() {
      return this.$store.state.idleVue.isIdle;
    },
  },
  methods: {
    myCustomPreviousStepCallback(currentStep) {
      if (currentStep === 1) {
        this.drawer = true;
      }
    },
    myCustomNextStepCallback(currentStep) {
      if (currentStep === 0) {
        this.drawer = true;
      }
    },
  },
  watch: {
    group() {
      this.drawer = false;
    },
  },
};
</script>
<style scoped>
.v-tour__target--highlighted {
  box-shadow: 0 0 0 99999px rgba(0, 0, 0, 0.4);
}
</style>
